RetryPolicyExhaustedException (Mule ESB 2.2.1 API)
Keywords: org.mule.retry.RetryPolicyExhaustedException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.retry
Class RetryPolicyExhaustedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.lifecycle.LifecycleException
                      org.mule.api.lifecycle.FatalException
                          org.mule.retry.RetryPolicyExhaustedException

All Implemented Interfaces:
  Serializable

    public class RetryPolicyExhaustedException

extends FatalException

This exception is thrown when a Retry policy has made all the retry attempts it wants to make and is still failing.

See Also:
  Serialized Form

Constructor Summary
`RetryPolicyExhaustedException(Message message, Object component)`
`RetryPolicyExhaustedException(Message message, Throwable cause, Object component)`
`RetryPolicyExhaustedException(Throwable cause, Object component)`

Method Summary

Methods inherited from class org.mule.api.lifecycle.LifecycleException
`getComponent`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RetryPolicyExhaustedException

    public RetryPolicyExhaustedException(Message message,
                                         Object component)

### RetryPolicyExhaustedException

    public RetryPolicyExhaustedException(Message message,
                                         Throwable cause,
                                         Object component)

### RetryPolicyExhaustedException

    public RetryPolicyExhaustedException(Throwable cause,
                                         Object component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.